Index: modules/codec/mpeg_video/synchro.c
===================================================================
RCS file: /var/cvs/videolan/vlc/modules/codec/mpeg_video/synchro.c,v
retrieving revision 1.7
diff -u -r1.7 synchro.c
--- modules/codec/mpeg_video/synchro.c	23 Jan 2003 21:47:59 -0000	1.7
+++ modules/codec/mpeg_video/synchro.c	29 Mar 2003 19:20:29 -0000
@@ -206,8 +206,15 @@
         vlc_bool_t      b_decode = 0;
 
         now = mdate();
-        period = 1000000 * 1001 / p_vpar->sequence.i_frame_rate
-                    * p_vpar->sequence.i_current_rate / DEFAULT_RATE;
+        if( p_vpar->sequence.i_frame_rate )
+        {
+            period = 1000000 * 1001 / p_vpar->sequence.i_frame_rate
+                        * p_vpar->sequence.i_current_rate / DEFAULT_RATE;
+        }
+	else
+	{
+            period = 0;
+	}
 
         vlc_mutex_lock( &p_vpar->p_vout->change_lock );
         tau_yuv = p_vpar->p_vout->render_time;
@@ -365,8 +372,13 @@
 void vpar_SynchroNewPicture( vpar_thread_t * p_vpar, int i_coding_type,
                              int i_repeat_field )
 {
-    mtime_t         period = 1000000 * 1001 / p_vpar->sequence.i_frame_rate
-                              * p_vpar->sequence.i_current_rate / DEFAULT_RATE;
+    mtime_t         period = 0;
+
+    if( p_vpar->sequence.i_frame_rate )
+    {
+        period = 1000000 * 1001 / p_vpar->sequence.i_frame_rate
+                    * p_vpar->sequence.i_current_rate / DEFAULT_RATE;
+    }
 #if 0
     mtime_t         now = mdate(); 
 #endif
